[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGObjectList.Remove

Remove an object from the list.

## Declaration

Source position: fgl.pp line 198

`public function TFPGObjectList.Remove(`
`const Item: T`
`):Integer;`

## Arguments

`Item` |  | Object to remove from the list.

## Function result

Index of removed object, prior to removal.

## Description

Remove removes the object Item from the list, and returns the index of the removed item. If no item was removed, -1 is returned. Only the first object is removed.

If the list owns the objects, (TFPGObjectList.FreeObjects is set to True) then the object is freed.

## Errors

None.

## See also

TFPGObjectList.IndexOf |  | Index of item
TFPSList.Delete |  | Delete an item from the list
TFPGObjectList.FreeObjects |  | Does the list own the objects or not?